cmake_minimum_required(VERSION 2.8)
project(spmod_vision)

FIND_PACKAGE( OpenCV REQUIRED )
INCLUDE_DIRECTORIES (${OpenCV_INCLUDE_DIR})
INCLUDE_DIRECTORIES (..)

set(spmod_vision_SRCS
	mod_vision.cpp	
	oftracker.h
	oftracker.cpp
)

add_library (spmod_vision MODULE ${spmod_vision_SRCS})
target_link_libraries(spmod_vision creavision)
target_link_libraries(spmod_vision spcore)

INSTALL (TARGETS spmod_vision RUNTIME DESTINATION ${LIBRUNTIMEDIR} LIBRARY DESTINATION ${PLUGINDIR})